/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.util.swing.beanbinding;

import org.jdesktop.beansbinding.Validator;
import org.openide.util.NbBundle;

/**
 * Checks if the toString of the passed object is not empty
 *
 * @author Merijn Zengers
 */
@NbBundle.Messages("ToStringNotEmptyValidator error message=Cannot be an empty string")
public class ToStringNotEmptyValidator extends Validator<Object> {

    /**
     * Checks if the passed in  objects toString() is not empty 
     * @param value
     * @return if String is empty {@link Result} else null
     */
    @Override
    public Result validate(Object value) {
        if (value != null && value.toString().isEmpty()) {
            return new Validator.Result(null, Bundle.ToStringNotEmptyValidator_error_message());
        }
        return null;
    }
}
